roar_get_standby(3)

NAME
roar_get_standby, roar_set_standby - Get and set RoarAudio's sound servers standby state

SYNOPSIS

#include <roaraudio.h>

int roar_get_standby(struct roar_connection * con);

int roar_set_standby(struct roar_connection * con, int state);

DESCRIPTION
Get or set the standby state of the server. If the server is in standby no audio is played. The audio device may be released depending on configuration.

PARAMETERS

con The connection to the server.

state
    The new state. This may be ROAR_STANDBY_ACTIVE for standby to be set active or ROAR_STANDBY_INACTIVE for normal operating mode.

RETURN VALUE
roar_get_standby returns ROAR_STANDBY_ACTIVE, ROAR_STANDBY_INACTIVE or -1 on error. roar_set_standby returns on success 0. On error, -1 is returned.

EXAMPLES
FIXME

SEE ALSO
roar_simple_get_standby(3), libroar(7), RoarAudio(7).